
Redmine - Defect #32420

Issue redirect after login not working

2019-11-05 23:15 - James Kurczodyna

Status: Needs feedback Start date:  

Priority: Normal Due date:  

Assignee: James Kurczodyna % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

I am seeing issues with redirects after login. When I go to an issue URL while logged out I expect to be redirected to the issue after

logging in. I'm seeing this on.

Steps to reproduce:

log out

go to /issues/12345

I get redirected to /login?back_url=http%253A%252F%252Fissues.afinedevelopment.com%252Fissues%252F12345

log in

I get redirected to /my/page

expecting to be /issues/12345

MacOS / Chrome 77.0.3865.90

Environment:

Redmine version                4.0.1.stable

Ruby version                   2.5.3-p105 (2018-10-18) [x86_64-linux]

Rails version                  5.2.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Subversion                     1.6.17

Git                            1.7.9.5

Filesystem

Redmine plugins:

bitbucket_reference_redmine    0.1.3

redmine_agile                  1.4.8

redmine_base_deface            0.0.1

redmine_base_stimulusjs        1.0.1

redmine_checklists             3.1.14

redmine_lightbox2              0.5.0

redmine_messenger              1.0.3

redmine_multiprojects_issue    4.0.0

redmine_open_links_in_new_window 0.0.3

redmine_theme_changer          0.4.0

Thanks,

James

History

#1 - 2019-11-06 22:39 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Assignee set to James Kurczodyna

Please try without any plugin installed.
#2 - 2019-11-12 18:42 - James Kurczodyna

We've disabled all plugins in our dev environment and are still experiencing the issue.

#3 - 2019-11-18 20:00 - Holger Just

Please make sure that you have configured the correct hostname in Administration -> Settings -> Host name and path. For the back_url validation

to work, you need to enter the external hostname here, i.e. issues.afinedevelopment.com. Also make sure you have configured the correct scheme

there to match your external protocol (i.e. http vs. https).

#4 - 2020-01-03 20:18 - James Kurczodyna

Both of those settings were already set correctly.

#5 - 2020-01-04 09:48 - Go MAEDA

I sometimes experience the same problem but I have not found conditions to reproduce without fail.

#6 - 2020-09-30 13:48 - Marco Reuchlin

Same problem here:

Environment:

Redmine version                4.1.1.stable

Ruby version                   2.5.5-p157 (2019-03-15) [x86_64-linux-gnu]

Rails version                  5.2.4.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Git                            2.20.1

Filesystem

Xitolite                       2.20.1

Redmine plugins:

additionals                    2.0.24

bestest_timer                  1.2.0

hide_journal_details           0.0.2

redmine_agile                  1.5.4

redmine_bootstrap_kit          0.2-devel

redmine_checklists             3.1.18

redmine_ckeditor               1.2.3

redmine_default_custom_query   1.5.0

redmine_dmsf                   2.4.4

redmine_git_hosting            4.0.2

redmine_impersonate            2.0.0

redmine_ldap_sync              2.2.0

redmine_lightbox2              0.5.1

redmine_local_avatars          1.0.5.2.0

redmine_smile_togglesidebar    1.0.7

redmine_xapian                 2.0.2

log out

go to /issues/12345

I get redirected

log in

I get redirected to /my/page, but expected /issues/12345

We also removed every plugin and customization, don´t work

#7 - 2020-10-27 16:12 - Marco Reuchlin

???

#8 - 2022-12-13 14:39 - Dimitar (RedmineUP)

Dear James,

This is Dimitar from the RedmineUP Support Team.

I see that you have some of our plugins on your list:

redmine_agile 1.4.8

redmine_checklists 3.1.14

 So, could you please contact our support team at support@redmineup.com? And our support engineers will help you investigate the
situation.

We look forward to hearing from you.

Best Regards,

Dimitar from the RedmineUP Support Team

James Kurczodyna wrote:

I am seeing issues with redirects after login. When I go to an issue URL while logged out I expect to be redirected to the issue after logging in.

I'm seeing this on.

Steps to reproduce:

log out

go to /issues/12345

I get redirected to /login?back_url=http%253A%252F%252Fissues.afinedevelopment.com%252Fissues%252F12345

log in

I get redirected to /my/page

expecting to be /issues/12345

MacOS / Chrome 77.0.3865.90

Environment:

Redmine version                4.0.1.stable

Ruby version                   2.5.3-p105 (2018-10-18) [x86_64-linux]

Rails version                  5.2.2

Environment                    production

Database adapter               Mysql2

Mailer queue                   ActiveJob::QueueAdapters::AsyncAdapter

Mailer delivery                smtp

SCM:

Subversion                     1.6.17

Git                            1.7.9.5

Filesystem

Redmine plugins:

bitbucket_reference_redmine    0.1.3

redmine_agile                  1.4.8

redmine_base_deface            0.0.1

redmine_base_stimulusjs        1.0.1

redmine_checklists             3.1.14

redmine_lightbox2              0.5.0

redmine_messenger              1.0.3

redmine_multiprojects_issue    4.0.0

redmine_open_links_in_new_window 0.0.3

redmine_theme_changer          0.4.0

Thanks,

James
